## db5.2 5.2.36

=== debian/changelog ===
db5.2 (5.2.36-1) experimental; urgency=low

  * Imported Upstream version 5.2.36
  * Adapt debian/ directory from db5.1 to db5.2
  * Update Vcs-* links to db5.2
  * Add git-buildpackage configuration
  * Drop 001-documentation_update.patch; fixed upstream
  * Refresh patches to the new release
  * Do a double build and --disable-test for production version
    of Berkeley DB libraries (as recommended by upstream)
  * Update saved region environment signature to match production
    version
  * Update source.lintian-overrides to match source name

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Sep 2011 13:39:02 +0200

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:
    + Convert package build system to debhelper with overrides
    + Move debian/rules to debhelper
    + Remove some obsolete Conflicts
    + Add ${misc:Depends} since we build depend on debhelper now
    + Use tcltk-defaults command for tcl dependencies
      (Closes: #606065)
    + Use dh_nativejava debhelper command
    + Move upstream source changes to quilt patches
  * Add lintian-overrides for:
    + ancient-autotools-helper-file,ancient-libtool: odbc/jdbc is not used
    + package-name-doesnt-match-sonames: historical reasons
    + sqlite3 embedded-library: db5.1-sql provides sqlite3 ABI

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 14:07:51 +0200

db (5.1.25-3) unstable; urgency=low

  * Add conflicts with previous -dev packages (Closes: #622711)
  * Fix Berkeley DB Debian Group email address
  * Remove .la files from the packages (Closes: #621303)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2011 15:31:30 +0200

db (5.1.25-2) unstable; urgency=low

  * Adopt the package (Closes: #619907)
  * Build-depend on Debian default tcl-dev
  * Move libdb-java, libdb-java-dev and libdb++-dev to empty packages
    built from db-defaults

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Apr 2011 21:59:34 +0200

db (5.1.25-1) unstable; urgency=low

  * New upstream version.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Thu, 10 Feb 2011 19:24:27 -0500

db (5.1.19-3) unstable; urgency=low

  [ Thorsten Glaser ]
  * Fix manpage-has-errors-from-man lintian warning
  * Add db4.7_codegen(1) from db4.7 (4.7.25-12), renamed appropriately
  * Correct db5.1-util override disparity
  * Use mktemp -t not --tmpdir to be backportable. (Closes: #584934)
  * Mark testsuite failures non-fatal on Hurd

  [ Clint Adams ]
  * Forward-ported Steve Langasek's cross-compilation patch from db4.8.
  * Re-enable Java package on armel.

 -- Clint Adams <clint@gnu.org>  Tue, 01 Feb 2011 18:21:19 -0500

db (5.1.19-2) unstable; urgency=low

  * Remove ancient Conflicts.
  * Add Conflicts for libdb5.0-dev and libdb5.0-tcl just in case.
    closes: #602363.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 15:14:08 -0500

db (5.1.19-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 2010 21:03:09 -0400

db (5.0.26-3) unstable; urgency=low

  * Patch from Aurelien Jarno to avoid following javac symlinks to
    ultimately avoid failing to equate
    /usr/lib/jvm/default-java/bin/../../../.. to /usr when using
    GCJ.  closes: #594816.

 -- Clint Adams <schizo@debian.org>  Mon, 30 Aug 2010 19:18:11 -0400


