=== debian/control ===
Source: db5.2
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.3~),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.2.git
Vcs-Git: git://git.debian.org/pkg-db/db5.2.git

Package: db5.2-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.2 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.2 of Berkeley DB.

Package: libdb5.2-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.2 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.2-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.1-dev
Description: Berkeley v5.2 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.2 database library.

Package: libdb5.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.2 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.2 Berkeley
 database library.

Package: db5.2-util
Architecture: any
Section: database
Priority: optional
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.2 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.2 database format, and includes:
  - db5.2_archive: write the pathnames of the log files no longer in use.
  - db5.2_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.2_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.2_load: loads (and creates) a database from standard input.
  - db5.2_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.2_printlog: dump log files in human readable format.
  - db5.2_stat: display statistics for Berkeley DB environments.
  - db5.2_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.2_verify: check the structure of files and their databases.

Package: db5.2-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.2 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.2 SQL database format, and includes:
  - db5.2_sql: sqlite compatible command-line utility

Package: libdb5.2++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v5.2 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.2
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.2++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.2++ (= ${binary:Version}),
	 libdb5.2-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev, libdb5.1++-dev
Description: Berkeley v5.2 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.2 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.2-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl, libdb5.1-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.2 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.2
 databases from within Tcl programs.

Package: libdb5.2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.2 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.2 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.2 database
 libraries and binaries.

Package: libdb5.2-java
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libdb5.2-java-gcj
Multi-Arch: same
Description: Berkeley v5.2 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.2 database
 library.

Package: libdb5.2-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.2-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.2 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.2 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.2-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.2-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev, libdb5.1-java-dev
Description: Berkeley v5.2 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.2 database
 library.

Package: libdb5.2-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.2-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.2-doc
Description: Berkeley v5.2 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.2 database library.

Package: libdb5.2-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.2 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.2 Berkeley
 database SQL library.

Package: libdb5.2-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.2-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.2-doc
Description: Berkeley v5.2 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.2 database library.

Package: libdb5.2-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.2 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.2 Berkeley
 database STL library.
